<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddWlanProfileGroupReq StructType
 * @subpackage Structs
 */
class AddWlanProfileGroupReq extends APIRequest
{
    /**
     * The wlanProfileGroup
     * @var XWlanProfileGroup
     */
    public $wlanProfileGroup;
    /**
     * Constructor method for AddWlanProfileGroupReq
     * @uses AddWlanProfileGroupReq::setWlanProfileGroup()
     * @param XWlanProfileGroup $wlanProfileGroup
     */
    public function __construct(XWlanProfileGroup $wlanProfileGroup = null)
    {
        $this
            ->setWlanProfileGroup($wlanProfileGroup);
    }
    /**
     * Get wlanProfileGroup value
     * @return XWlanProfileGroup|null
     */
    public function getWlanProfileGroup()
    {
        return $this->wlanProfileGroup;
    }
    /**
     * Set wlanProfileGroup value
     * @param XWlanProfileGroup $wlanProfileGroup
     * @return AddWlanProfileGroupReq
     */
    public function setWlanProfileGroup(XWlanProfileGroup $wlanProfileGroup = null)
    {
        $this->wlanProfileGroup = $wlanProfileGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddWlanProfileGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
